---
title: RTCIceTransport.gatheringState
slug: Web/API/RTCIceTransport/gatheringState
tags:
  - API
  - Gatherer
  - Property
  - RTCIceTransport
  - Read-only
  - Reference
  - WebRTC
  - WebRTC API
  - gatheringState
  - state
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only <strong>{{domxref("RTCIceTransport")}}</strong> property <strong><code>gatheringState</code></strong> returns a {{domxref("DOMString")}} from the enumerated type {{domxref("RTCIceGathererState")}} that indicates what gathering state the ICE agent is currently in: <code>"new"</code>, <code>"gathering"</code>, or <code>"complete"</code>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>gatherState</em> = <em>RTCIceTransport</em>.gatheringState;</pre>

<h3 id="Value">Value</h3>

<p>A string from the {{domxref("RTCIceGathererState")}} enumerated type whose value indicates the current state of the ICE agent's candidate gathering process:</p>

<p>{{page("/en-US/docs/Web/API/RTCIceGathererState", "Values")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-icetransport-gatheringstate', 'RTCIceTransport.gatheringState')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceTransport.gatheringState")}}</p>
</div>

